This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 231011 - (cowpatty-4.3) Review Request: cowpatty - Audit Wpa pre-shared keys
Review Request: cowpatty - Audit Wpa pre-shared keys
Status: CLOSED DUPLICATE of bug 581161
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2007-03-05 10:43 EST by Nicolas Chauvet (kwizart)
Modified: 2010-04-14 17:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 11:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-03-05 10:43:51 EST
Spec URL: 
http://kwizart.free.fr/fedora/SPECS/cowpatty.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/SRPMS/cowpatty-2.0-1.kwizart.fc6.src.rpm
Description: Audit Wpa pre-shared keys

coWPAtty is designed to audit the security of pre-shared keys selected
in WiFi Protected Access (WPA) networks.

rpmlint is silent
need to disable %{?_smp_mflags} so it can build
Comment 1 Xavier Lamien 2007-03-05 15:34:28 EST
Sound good.

a comment:

you Should add -p option to your install commande from %install stage to keep
timestamp to the file.
Comment 2 Till Maas 2007-03-07 19:15:15 EST
There is already version 4.0 available:
http://www.personalwireless.org/tools/cowpatty/

You can use my spec if you want:
http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/cowpatty.spec
http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/cowpatty-4.0-1.src.rpm

Do you know aircrack-ng? It seems to be more promising than cowpatty for WPA
auditing, but it did not really use cowpatty, because its README begins with
"Right off the bat, this code isn't very useful.". The "rainbow tables" for
cowpatty will be supported by aircrack-ng, too.

Btw. there is a special url for sourceforge downloads, see
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2

http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Comment 3 Till Maas 2007-03-07 19:18:28 EST
Ah, btw. Xavier, if you are officially rewiewing this package, you should set
the fedora-review flag to ? (see below)
Comment 4 Xavier Lamien 2007-03-07 20:52:05 EST
Hi Till,

After had a quick look on your spec file, it seems to be more complete for the
updated release (4.0) that you propose.
Except that, the contents of %description could be more interesting if it were
not empty ;-).

i'll check out the both.

Comment 5 Xavier Lamien 2007-04-17 11:12:07 EDT
kwizrat: ping ?

Till: ping ?

kwizart, can you check till's package to propose something or are you agree to
make a full review of updated till's package ?
Comment 6 Xavier Lamien 2007-04-17 11:13:47 EDT
s/are you/do you
Comment 7 Nicolas Chauvet (kwizart) 2007-04-17 11:17:59 EDT
As state by Till, this package isn't very usefull! aircrack-ng seems better...
I will let Till decide weither to continue the review with the spec of him
or close the bug ...

Sorry for the late answear...
Comment 8 Till Maas 2007-04-17 16:44:13 EDT
(In reply to comment #7)
> As state by Till, this package isn't very usefull! aircrack-ng seems better...
> I will let Till decide weither to continue the review with the spec of him
> or close the bug ...

I never used cowpatty, because after I compiled it, I read the statement from
the author, that it is not very useful. Currently, the only interesting (unique)
feature of cowpatty, is that there are some precalculated hashes for wpa, that
cannot be used aircrack-ng, yet. So if you have the time to test it, check how
well these hashes http://www.renderlab.net/projects/WPA-tables/ work. If this
works fine and the support is not included in aircrack-ng, yet (ticket:
http://trac.aircrack-ng.org/ticket/23), then imho fedora would benefit from
cowpatty.
Comment 9 Nicolas Chauvet (kwizart) 2007-04-19 12:13:59 EDT
when running genpmk with cowpatty 4.0 :
*** buffer overflow detected ***: genpmk terminated

This seems not to be usable yet...
Comment 10 Nicolas Chauvet (kwizart) 2008-02-02 05:30:12 EST
Do you think we can close this as wontfix?
Comment 11 David Timms 2008-05-26 06:16:14 EDT
kwizart, Till: so no interest in getting this across the line from either of you ?

Let me know because I am interested. The 4.3 release [March 20 2008] is not on
sf.net from WICT, but:
http://www.willhackforsushi.com/Cowpatty.html

Found some howto docs and rainbow tables torrents in:
http://www.wirelessdefence.org/Contents/coWPAttyMain.htm and
http://www.renderlab.net/projects/WPA-tables/
Comment 12 Nicolas Chauvet (kwizart) 2008-05-26 11:07:11 EDT
As soon as it fix the
*** buffer overflow detected ***: genpmk terminated
Then i'm OK. please submit another review request
(you can link it there) - I'm closing this one (not interested anymore).
Comment 13 Arun S A G 2010-04-10 13:33:32 EDT
Hey folks i have packaged version 4.6 , seems like buffer overflow is fixed now. I hav created a review request at #581161
Comment 14 Fabian Affolter 2010-04-14 17:53:46 EDT

*** This bug has been marked as a duplicate of bug 581161 ***

Note You need to log in before you can comment on or make changes to this bug.